none
Vb6 on Vista RRS feed

  • Question

  • I hope not to be primitive, but I still use Vb6.

    I Installed BEta version of Windows Vista (beta2), but I cannot install Vb6 on in it. I know, it is still Beta, but i want to ask of Vb6 will be workable in Windows Vista in the future?

    Error: NTVDM encountered a hard error

    Thanks for listening.

     

    Forgive my 'dutch english'.

    Wednesday, June 14, 2006 7:15 PM

Answers

  • Not only is VB6 (and the rest of Visual Studio 6) kind of old... but they are also now unsupported and it’s working under Vista later is questionable.

    Unfortunately this forum being dedicated to programming with the still supported developer tools you are likely not going to find an answer here and may want to try one of the Visual Basic Classic forums out there such as this one on vbforums.com where you may find other people having a similar question.

    Also... given this new found difficulty with VB6... this could be an opportune time for you to upgrade to Visual Basic Express for free, which is supported under Vista.

    Wednesday, June 14, 2006 7:28 PM
    Moderator

All replies

  • Not only is VB6 (and the rest of Visual Studio 6) kind of old... but they are also now unsupported and it’s working under Vista later is questionable.

    Unfortunately this forum being dedicated to programming with the still supported developer tools you are likely not going to find an answer here and may want to try one of the Visual Basic Classic forums out there such as this one on vbforums.com where you may find other people having a similar question.

    Also... given this new found difficulty with VB6... this could be an opportune time for you to upgrade to Visual Basic Express for free, which is supported under Vista.

    Wednesday, June 14, 2006 7:28 PM
    Moderator
  • Hi Brendan,

    Your response is all well and good, but in my particular case I have a VB6 application (freeware) which has had over 100,000 downloads, and I would really like to know if it is possible to run VB under Vista, particularly as MS has announced that they were hoping that 100 pct of VB applications would run under Vista.

    Not much point in them being able to run there if I am unable to support them.

    And for your info, yes I have also got Visual Studio 2005,

    Mike.

     

    Thursday, June 29, 2006 3:11 AM
  • Hi,

    We've managed to install the VB6 IDE on Vista RC1 - here's some information I hope helps: http://www.callmap.co.uk/vb6onvista.htm

     

    Cheers!

    Friday, September 22, 2006 10:52 AM
  • Thank you for the answers

    I managed also to install VB6 on the RC1, but I didn't have to set anything about compability, it installed also without it without errors. After installation I installed the SP6 and also without errors.

    Thank you for letting it works ;)
    Friday, September 22, 2006 11:10 AM